## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T > Class Template Reference

Filtering iDocumentNodeIterator. More...

`#include <csutil/documenthelper.h>`

Inheritance diagram for CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >:

[legend]
List of all members.

## Public Member Functions

| FilterDocumentNodeIterator (csRef< iDocumentNodeIterator > parent, T filter)
virtual bool | HasNext ()
| Are there more elements?
virtual csRef< iDocumentNode > | Next ()
| Get next element.

## Detailed Description

### template<class T>
class CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >

Filtering iDocumentNodeIterator.

Filters another iterator with a functor.

Definition at line 48 of file documenthelper.h.

## Member Function Documentation

template<class T>
virtual bool CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >::HasNext | ( |  | ) | `[inline, virtual]`

| Are there more elements? Implements iDocumentNodeIterator. Definition at line 62 of file documenthelper.h. References csRef< T >::IsValid().

template<class T>
virtual csRef<iDocumentNode> CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >::Next | ( |  | ) | `[inline, virtual]`

| Get next element. Implements iDocumentNodeIterator. Definition at line 68 of file documenthelper.h.

The documentation for this class was generated from the following file:

- csutil/documenthelper.h